# openvpn-client

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: v1.2.1](https://img.shields.io/badge/AppVersion-v1.2.1-informational?style=flat-square)

A Helm chart for an OpenVPN client with HTTP and SOCKS5 proxies

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| auth.enabled | bool | `false` | Whether to turn on authentication for the proxies |
| auth.existingSecret | string | `""` | Existing secret containing the credentials for accessing the proxies. |
| auth.proxyPassword | string | `""` |  |
| auth.proxyUsername | string | `""` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| configFiles.files | object | `{}` | OpenVPN config files |
| configFiles.openVPNConfig | string | `""` | The OpenVPN config file to use. If this is unset, the first file with the extension `.conf` will be used. |
| fullnameOverride | string | `""` |  |
| httpProxy.enabled | bool | `false` | The on/off status of Tinyproxy, the built-in HTTP proxy server. |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"ghcr.io/wfg/openvpn-client"` |  |
| image.tag | string | `""` | Overrides the image tag whose default is the chart appVersion. |
| keepDNSUnchanged.enabled | bool | `false` | Keep existing DNS configuration |
| killSwitch.enabled | bool | `true` | The on/off status of the network kill switch. |
| listenOn | string | `""` | Address the proxies will be listening on. Set to `0.0.0.0` to allow all IP addresses. |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| podAnnotations | object | `{}` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| service.type | string | `"ClusterIP"` |  |
| socksProxy.enabled | bool | `false` | The on/off status of Dante, the built-in SOCKS proxy server. |
| subnets | list | `[]` | A list of one or more subnets to allow outside of the VPN tunnel. |
| tolerations | list | `[]` |  |
| vpnLogLevel | int | `3` | OpenVPN verbosity (`1`-`11`) |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.7.0](https://github.com/norwoodj/helm-docs/releases/v1.7.0)
